GET /api/v3/udf

Retrieves all User defined fields/custom fields. The array of UDFs can be filtered by UDF type. Possible values for this filter include: "Account", "Meter", "Place", "Vendor", "ChannelVersion", "Rate", "Bill", "EnergyProject", "Collection", and "EmissionSource". See the filter property for more details

GetUDFsV3

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
filter string (string) Optional

Filters

Filter Description Type Operators
udfType String equals

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

UDFResponse
Property Description Type
count The number of times this custom field has been used. Required (defined) integer (int32)
dataType DataTypeResponse
DataTypeResponse properties
Property Description Type
dataTypeCode Required (defined) string
dataTypeId Required (defined) integer (int32)
dataTypeInfo Required (defined) string
description The description for the custom field. Required (defined) string
displayOrder The display order of the custom field. Required (defined) integer (int32)
important If true, this custom field is important. Required (defined) boolean
locked If true, then this udf is a system custom field Required (defined) boolean
name The name of the custom field. Required (defined) string
udfId The identifier of the custom field. Required (defined) integer (int32)
udfSelectValues Select values of the custom field, if it is a select list (DataType = 12). Required (defined) UDFSelectValueResponse[]
UDFSelectValueResponse properties
Property Description Type
count integer (int32)
displayOrder integer (int32)
udfSelectValueId integer (int32)
value string
udfType The type of the udf. Values include: Account, Meter, Vendor, Place, ChannelVersion, Rate, Bill, “EnergyProject”, “Collection”, and “EmissionSource”. Required (defined) string
Example Response application/json
[
  {    "count": 1,    "dataType": {      "dataTypeCode": "string",      "dataTypeId": 1,      "dataTypeInfo": "string"
    },    "description": "string",    "displayOrder": 1,    "important": false,    "locked": false,    "name": "string",    "udfId": 1,    "udfSelectValues": [
      {      "count": 1,      "displayOrder": 1,      "udfSelectValueId": 1,      "value": "string"
    }
    ],    "udfType": "string"
  }
]